<app-spinner *ngIf="isLoading"></app-spinner>

<div class="images_container">
  <h1>{{ UI.txt_posters }}</h1>
  <div *ngIf="posterImages?.length; else noImages" class="posters_container">
    <img
      *ngFor="let image of posterImages"
      [src]="
        image.resolutions.medium
          ? image.resolutions.medium.url
          : 'assets/images/no-img.png'
      "
      [alt]="image.type"
      [title]="image.type"
    />
  </div>
  <h1>{{ UI.txt_banners }}</h1>
  <div *ngIf="bannerImages?.length; else noImages" class="banners_container">
    <img
      *ngFor="let image of bannerImages"
      [src]="
        image.resolutions.medium
          ? image.resolutions.medium.url
          : 'assets/images/no-img.png'
      "
      [alt]="image.type"
      [title]="image.type"
    />
  </div>
  <h1>{{ UI.txt_backgrounds }}</h1>
  <div
    *ngIf="backgroundImages?.length; else noImages"
    class="backgrounds_container"
  >
    <img
      *ngFor="let image of backgroundImages"
      [src]="
        image.resolutions.original
          ? image.resolutions.original.url
          : 'assets/images/no-img.png'
      "
      [alt]="image.type"
      [title]="image.type"
    />
  </div>
  <h1>{{ UI.txt_typographies }}</h1>
  <div
    *ngIf="typographyImages?.length; else noImages"
    class="typographies_container"
  >
    <img
      *ngFor="let image of typographyImages"
      [src]="
        image.resolutions.original
          ? image.resolutions.original.url
          : 'assets/images/no-img.png'
      "
      [alt]="image.type"
      [title]="image.type"
    />
  </div>
</div>

<ng-template #noImages>
  <app-not-yet-available></app-not-yet-available>
</ng-template>
